<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$settlementTransferId = '199394630';
$response = $api->Disputes->GetSettlementTransfer($settlementTransferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let mySettlementTransfer = {
Id: '192776141',
}
const viewSettlementTransfer = async (settlementTransferId) => {
return await mangopay.Disputes.getSettlementTransfer(settlementTransferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewSettlementTransfer(settlementTransferId)
begin
response = MangoPay::Dispute.fetch_settlement_transfer(settlementTransferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch settlement transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
mySettlementTransfer = {
Id: '194996201'
}
viewSettlementTransfer(mySettlementTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;import com.mangopay.entities.Transfer;
public class ViewSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var settlementId = "repudstl_m_01J35Q6WHVK305X7MKQJ90XNP3";
Transfer viewSettlement = mangopay.getSettlementApi().get(settlementId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import SettlementTransfer
try:
view_settlement_transfer = SettlementTransfer.get('repudstl_m_01HQWXSKCQHTNN45341N23GHPT')
pprint(view_settlement_transfer._data)
except SettlementTransfer.DoesNotExist:
print('Settlement Transfer {} does not exist.'.format(view_settlement_transfer))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var settlementTransferId = "repudstl_m_01J52XBJTKCNHTVDT4VN62BSZG";
var viewSettelementTransfer = await api.Disputes.GetSettlementTransferAsync(settlementTransferId);
string prettyPrint = JsonConvert.SerializeObject(viewSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
Dispute settlement
View a Settlement Transfer
GET
/
v2.01
/
{ClientId}
/
settlements
/
{SettlementId}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$settlementTransferId = '199394630';
$response = $api->Disputes->GetSettlementTransfer($settlementTransferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let mySettlementTransfer = {
Id: '192776141',
}
const viewSettlementTransfer = async (settlementTransferId) => {
return await mangopay.Disputes.getSettlementTransfer(settlementTransferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewSettlementTransfer(settlementTransferId)
begin
response = MangoPay::Dispute.fetch_settlement_transfer(settlementTransferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch settlement transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
mySettlementTransfer = {
Id: '194996201'
}
viewSettlementTransfer(mySettlementTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;import com.mangopay.entities.Transfer;
public class ViewSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var settlementId = "repudstl_m_01J35Q6WHVK305X7MKQJ90XNP3";
Transfer viewSettlement = mangopay.getSettlementApi().get(settlementId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import SettlementTransfer
try:
view_settlement_transfer = SettlementTransfer.get('repudstl_m_01HQWXSKCQHTNN45341N23GHPT')
pprint(view_settlement_transfer._data)
except SettlementTransfer.DoesNotExist:
print('Settlement Transfer {} does not exist.'.format(view_settlement_transfer))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var settlementTransferId = "repudstl_m_01J52XBJTKCNHTVDT4VN62BSZG";
var viewSettelementTransfer = await api.Disputes.GetSettlementTransferAsync(settlementTransferId);
string prettyPrint = JsonConvert.SerializeObject(viewSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
Note – Settlement transfer data retained for 13 monthsAn API call to retrieve a settlement transfer whose
CreationDate is older than 13 months may return 404 Not Found.For more information, see the Data availability periods article.Path parameters
string
The unique identifier of the settlement transfer.
Responses
200
200
string
Max length: 128 characters (see data formats for details)The unique identifier of the object.
string
Max. length: 255 charactersCustom data that you can add to this object.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
For transactions (pay-in, transfer, payout), you can use this parameter to identify corresponding information regarding the user, transaction, or payment methods on your platform.
Unix timestamp
The date and time at which the object was created.
string
The code indicating the result of the operation. This information is mostly used to handle errors or for filtering purposes.
string
The explanation of the result code.
object
Information about the debited funds. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction minus the fees.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).object
Information about the fees. Please note that:
- The
Currencymust be identical to that of the initial transaction. - The
Amountcannot exceed the initial’s transaction.
Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the fees.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
The unique identifier of the user at the source of the transaction.
string
Default value: The unique identifier of the owner of the credited wallet.The unique identifier of the user whose wallet is credited.
object
Information about the credited funds (
CreditedFunds = DebitedFunds - Fees).Show properties
Show properties
string
Returned values: The three-letter ISO 4217 code (EUR, GBP, etc.) of a supported currency (depends on feature, contract, and activation settings).The currency of the credited funds.
integer
An amount of money in the smallest sub-division of the currency (e.g., EUR 12.60 would be represented as
1260 whereas JPY 12 would be represented as just 12).string
Returned values:
CREATED, SUCCEEDED, FAILEDThe status of the transaction.Unix timestamp
The date and time at which the status changed to
SUCCEEDED, indicating that the transaction occurred. The statuses CREATED and FAILED return an ExecutionDate of null.string
Returned values:
PAYIN, TRANSFER, CONVERSION, PAYOUTThe type of the transaction.string
Returned values:
REGULAR, REPUDIATION, REFUND, SETTLEMENTThe nature of the transaction, providing more information about the context in which the transaction occurred:REGULAR– Relative to most of the transactions (pay-ins, payouts, and transfers) in a usual workflow.REPUDIATION– Automatic withdrawal of funds from the platform’s repudiation wallet as part of the dispute process (when the user has requested a chargeback).REFUND– Reimbursement of a transaction to the user (pay-in refund), to a wallet (transfer refund), or of a payout (payout refund, only initiated by Mangopay).SETTLEMENT– Transfer made to the repudiation wallet by the platform to settle a lost dispute.
string
The unique identifier of the wallet.
In the specific case of the Client Wallet object, this value is returned by the Mangopay API in the form of the funds type and the currency (e.g., “FEES_EUR”).
string
The unique identifier of the debited wallet.
string
The unique identifier of the repudiation.
{
"Id": "159220385",
"Tag": null,
"CreationDate": 1672677972,
"ResultCode": "000000",
"ResultMessage": "Success",
"DebitedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Fees": {
"Currency": "EUR",
"Amount": 0
},
"AuthorId": "146476890",
"CreditedUserId": null,
"CreditedFunds": {
"Currency": "EUR",
"Amount": 999
},
"Status": "SUCCEEDED",
"ExecutionDate": 1672677972,
"Type": "TRANSFER",
"Nature": "SETTLEMENT",
"CreditedWalletId": "CREDIT_EUR",
"DebitedWalletId": "148968396",
"RepudiationId": "159196330"
}
<?php
require_once 'vendor/autoload.php';
use MangoPay\MangoPayApi;
use MangoPay\Libraries\ResponseException as MGPResponseException;
use MangoPay\Libraries\Exception as MGPException;
$api = new MangoPayApi();
$api->Config->ClientId = 'your-client-id';
$api->Config->ClientPassword = 'your-api-key';
$api->Config->TemporaryFolder = 'tmp/';
try {
$settlementTransferId = '199394630';
$response = $api->Disputes->GetSettlementTransfer($settlementTransferId);
print_r($response);
} catch(MGPResponseException $e) {
print_r($e);
} catch(MGPException $e) {
print_r($e);
}
const mangopayInstance = require('mangopay4-nodejs-sdk')
const mangopay = new mangopayInstance({
clientId: 'your-client-id',
clientApiKey: 'your-api-key',
})
let mySettlementTransfer = {
Id: '192776141',
}
const viewSettlementTransfer = async (settlementTransferId) => {
return await mangopay.Disputes.getSettlementTransfer(settlementTransferId)
.then((response) => {
console.info(response)
return response
})
.catch((err) => {
console.log(err)
return false
})
}
require 'mangopay'
MangoPay.configure do |client|
client.preproduction = true
client.client_id = 'your-client-id'
client.client_apiKey = 'your-api-key'
client.log_file = File.join(Dir.pwd, 'mangopay.log')
end
def viewSettlementTransfer(settlementTransferId)
begin
response = MangoPay::Dispute.fetch_settlement_transfer(settlementTransferId)
puts response
return response
rescue MangoPay::ResponseError => error
puts "Failed to fetch settlement transfer: #{error.message}"
puts "Error details: #{error.details}"
return false
end
end
mySettlementTransfer = {
Id: '194996201'
}
viewSettlementTransfer(mySettlementTransfer[:Id])
import com.google.gson.Gson;
import com.google.gson.GsonBuilder;
import com.mangopay.MangoPayApi;import com.mangopay.entities.Transfer;
public class ViewSettlementTransfer {
public static void main(String[] args) throws Exception {
MangoPayApi mangopay = new MangoPayApi();
mangopay.getConfig().setClientId("your-client-id");
mangopay.getConfig().setClientPassword("your-api-key");
var settlementId = "repudstl_m_01J35Q6WHVK305X7MKQJ90XNP3";
Transfer viewSettlement = mangopay.getSettlementApi().get(settlementId);
Gson prettyPrint = new GsonBuilder().setPrettyPrinting().create();
String prettyJson = prettyPrint.toJson(viewSettlement);
System.out.println(prettyJson);
}
}
from pprint import pprint
import mangopay
mangopay.client_id='your-client-id'
mangopay.apikey='your-api-key'
from mangopay.api import APIRequest
handler = APIRequest(sandbox=True)
from mangopay.resources import SettlementTransfer
try:
view_settlement_transfer = SettlementTransfer.get('repudstl_m_01HQWXSKCQHTNN45341N23GHPT')
pprint(view_settlement_transfer._data)
except SettlementTransfer.DoesNotExist:
print('Settlement Transfer {} does not exist.'.format(view_settlement_transfer))
using MangoPay.SDK;
using Newtonsoft.Json;
class Program
{
static async Task Main(string[] args)
{
MangoPayApi api = new MangoPayApi();
api.Config.ClientId = "your-client-id";
api.Config.ClientPassword = "your-api-key";
var settlementTransferId = "repudstl_m_01J52XBJTKCNHTVDT4VN62BSZG";
var viewSettelementTransfer = await api.Disputes.GetSettlementTransferAsync(settlementTransferId);
string prettyPrint = JsonConvert.SerializeObject(viewSettelementTransfer, Formatting.Indented);
Console.WriteLine(prettyPrint);
}
}
Was this page helpful?